<template>
  <div
    :class="{ 'bg-danger text-white': !state, 'bg-primary text-dark': state }"
    @click="toggle"
    style="border-bottom: 1px solid #000000;"
    class="text-center"
  >
    {{ text }}
  </div>
</template>

<script>
export default {
  data() {
    return {
      state: true,
      texts: {
        online: 'Atys is online!',
        offline: 'Atys is offline!',
      },
    };
  },
  computed: {
    text() {
      if (this.state) {
        return this.texts.online;
      }
      return this.texts.offline;
    },
  },
  methods: {
    toggle() {
      this.state = !this.state;
    },
  },
};
</script>
